#import "FlutterKakaolinkPlugin.h"
#import <KakaoOpenSDK/KakaoOpenSDK.h>
#import <KakaoLink/KakaoLink.h>

@implementation FlutterKakaolinkPlugin
+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
  FlutterMethodChannel* channel = [FlutterMethodChannel
      methodChannelWithName:@"flutter_kakaolink"
            binaryMessenger:[registrar messenger]];
  FlutterKakaolinkPlugin* instance = [[FlutterKakaolinkPlugin alloc] init];
  [registrar addApplicationDelegate:instance];
  [registrar addMethodCallDelegate:instance channel:channel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
  if ([@"reqkakalink" isEqualToString:call.method]) {  
    result(nil);
  } else {
    result(FlutterMethodNotImplemented);
  }
}

@end
